summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-06-16 13:27:46 +0100
committerSam James <sam@gentoo.org>2021-06-16 13:32:05 +0100
commit2cb2d580981c799800b2a0d9627b902a78b79a62 (patch)
tree2fd3c885d3ac268d818232c2f229502b183c5df0 /kde-plasma
parentkde-plasma/plasma-sdk: 5.22.1 version bump (diff)
downloadgentoo-2cb2d580981c799800b2a0d9627b902a78b79a62.tar.gz
gentoo-2cb2d580981c799800b2a0d9627b902a78b79a62.tar.bz2
gentoo-2cb2d580981c799800b2a0d9627b902a78b79a62.zip
kde-plasma/plasma-systemmonitor: 5.22.1 version bump
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'kde-plasma')
-rw-r--r--kde-plasma/plasma-systemmonitor/Manifest1
-rw-r--r--kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.22.1.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/kde-plasma/plasma-systemmonitor/Manifest b/kde-plasma/plasma-systemmonitor/Manifest
index ac50b15773e..cd8c15283fd 100644
--- a/kde-plasma/plasma-systemmonitor/Manifest
+++ b/kde-plasma/plasma-systemmonitor/Manifest
@@ -1,2 +1,3 @@
DIST plasma-systemmonitor-5.21.5.tar.xz 124792 BLAKE2B 47c55bd7ceb31c7128676e539d7c48325db68b49bcbee0a4d73cd61ed1360500e7765ed2d5d01bde542bfb74e7b6db26158c6b281aa1e65a5ba450595117777a SHA512 f21db1dc9428b9f97b4b012ae481738f7aa96c9080f35870c8a8f2dfed582b937507fd626723dbd60e66656d78984bda24279c77548d65efd847e15374b024f0
DIST plasma-systemmonitor-5.22.0.tar.xz 133812 BLAKE2B 23d6558c841f44f1fa4935c82834d52f59609cb87298678a7badee0bb162f6d96ad842aada6b35ec517ba0d81a12d1f9d8585378190668d2d37214aadd29b5b0 SHA512 e1a8995660b440fb9af4b18737e45df7cb91995b9cbd75e947649b93c9654b9d28d16341ee2e2ed9fc6fa8e9645dfcf1a4e0d54500fed13a6fc013ad992e3970
+DIST plasma-systemmonitor-5.22.1.tar.xz 134040 BLAKE2B 1be7e7f310553ab836a8fb3e40c8c374d278710de0188003e1d261e8c446ddbfae9ce80c064880d305f15ea5cedcab5d4be2d2a41b774f7a3f3e73d2ef9c8221 SHA512 a23e7990e8a122eb346cc44cb5134b203b5b7ed5eb2db93c185a23043ac3b9f30e53ccab7bc98c3053db4c915539d46a6f57d7cac33ebf7db379e509d2aab221
diff --git a/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.22.1.ebuild b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.22.1.ebuild
new file mode 100644
index 00000000000..58e0044c829
--- /dev/null
+++ b/kde-plasma/plasma-systemmonitor/plasma-systemmonitor-5.22.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PVCUT=$(ver_cut 1-3)
+KFMIN=5.82.0
+QTMIN=5.15.2
+inherit ecm kde.org
+
+DESCRIPTION="Monitor system sensors, process information and other system resources"
+HOMEPAGE="https://apps.kde.org/plasma-systemmonitor/"
+
+LICENSE="|| ( GPL-3 GPL-2 )"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtdeclarative-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/kdeclarative-${KFMIN}:5
+ >=kde-frameworks/kglobalaccel-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kitemmodels-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-plasma/libksysguard-${PVCUT}:5
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+ >=kde-frameworks/kitemmodels-${KFMIN}:5[qml]
+ >=kde-frameworks/kquickcharts-${KFMIN}:5
+ >=kde-plasma/ksystemstats-${PVCUT}:5
+"